> For the complete documentation index, see [llms.txt](https://docs.satori.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.satori.finance/api-docs/openapi/rest-api/a-complete-example.md).

# A complete example

> 1 Get the API endpoint path:

```
Order placement url in testing environment： https://zk-test.satori.finance/api/third/hot/order/create
```

> 2 Get api keys

| Key                     | Value                                                              |
| ----------------------- | ------------------------------------------------------------------ |
| api key/api\_key        | st\_fq6cvRF4fr5tnKiZfrIntRnLfrwxcXjcfr1y8FR7                       |
| api wallet address      | 0x134eF0CfABEBF9c70eAE631254a6b4736f9b8508                         |
| private key/api\_secret | 0x2bf7cc40cfc5b2a43f60769d31191e82ed33aafb5e75be710271acd40a769564 |

> 3.1,Set request parameters

```
clientOrderId: "{{satTimestamp}}"
isLong: "True"
isMarket: "True"
lever: "20"
matchType: "2"
pairName: "ETH-USD"
positionType: "3"
price: "3100"
quantity: "0.02"
timestamp: "{{satTimestamp}}"
```

> 3.2 build request string

```
request string = "clientOrderId=1725693490018&isLong=True&isMarket=True&lever=20&matchType=2&pairName=ETH-USD&positionType=3&price=3100&quantity=0.02&timestamp=1725693490018"
```

> 3.3 Sign the parameter string format

```
sign result = "0x7c8e2c2e5bfdd29f217e9bf1de4270c4c4aebe85ab09864cf3bef3bcf6f520d70b9e5c251280a2defe77cd5f3d6b64d938906317303a96955d8e3830af9ea03c1c"
```

> 3.4 Assemble the complete request

```
curl --location --request POST 'https://zk-test.satori.finance/api/third/hot/order/create?clientOrderId=1725693490018&isLong=True&isMarket=True&lever=20&matchType=2&pairName=ETH-USD&positionType=3&price=3100&quantity=0.02&timestamp=1725693490018' \
--header 'APIKEY: st_fq6cvRF4fr5tnKiZfrIntRnLfrwxcXjcfr1y8FR7' \
--header 'X-SAPI-SIGN-TYPE: 2' \
--header 'signature: 0x7c8e2c2e5bfdd29f217e9bf1de4270c4c4aebe85ab09864cf3bef3bcf6f520d70b9e5c251280a2defe77cd5f3d6b64d938906317303a96955d8e3830af9ea03c1c' \
--header 'Content-Type: text/plain' \
--data ''
```

> 4 Return results

```
{
  "error": false,
  "code": 200,
  "msg": "SUCCESS",
  "data": {
    "pairName": "ETH-USD",
    "orderId": 178754443,
    "corderId": "1725693490018"
  },
  "sid": "1809520778222411777"
}
​
```

<br>
